<?php

use EventPortal\Domain\Email\Models\EventEmail;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Enums\EmailType;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(EventEmail::class, static function ($faker) {
    return [
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'type' => EmailType::invite(),
    ];
});

$factory->state(EventEmail::class, 'invite', static function () {
    return [
        'type' => EmailType::invite(),
    ];
});

$factory->state(EventEmail::class, 'save-the-date', static function () {
    return [
        'type' => EmailType::saveTheDate(),
    ];
});

$factory->state(EventEmail::class, 'joining-instructions', static function () {
    return [
        'type' => EmailType::joiningInstructions(),
    ];
});

$factory->state(EventEmail::class, 'broadcast', static function () {
    return [
        'type' => EmailType::broadcast(),
    ];
});

$factory->state(EventEmail::class, 'post', static function () {
    return [
        'type' => EmailType::post(),
    ];
});
