<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\Display;
use EventPortal\Domain\Component\Section;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Enums\InertiaMethod;

Form::make('event-speaker.show')
    ->addFields(function () {
        return [
            Section::make()->fields([
                Display::make('First name')->scopeTo('user'),
                Display::make('Last name')->scopeTo('user'),
                Display::make('Email')->scopeTo('user'),
            ]),
        ];
    })
    ->addActions(function (Event $event) {
        return [
            Button::make('Cancel')
                ->variant('secondary')
                ->method(InertiaMethod::VISIT())
                ->route('admin.event.speaker.index', ['event' => $event]),
        ];
    });
